@extends('indexlayout')

@section('title', 'program anggaran')
@push('style')
@endpush
@section('content')
    <div class="row">
        <main id="js-page-content" role="main" class="page-content">
            <ol class="breadcrumb page-breadcrumb">
                <li class="breadcrumb-item"><a href="javascript:void(0);">IKU</a></li>
                <li class="breadcrumb-item active">2024</li>
                <li class="position-absolute pos-top pos-right d-none d-sm-block"><span class="js-get-date"></span></li>
            </ol>

            <div class="row">
                <div class="col-lg-6">
                    <div id="panel-6" class="panel">
                        <div class="panel" style="text-align: center; padding:15px 0 15px">
                            <h4>
                                Grafik Perbandingan SPS dan Realisasi Dinas Lingkungan Hidup 2024
                            </h4>
                        </div>
                        <div class="panel-container show">
                            <div id="anggaran5">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div id="panel-6" class="panel">
                        <div class="panel" style="text-align: center; padding:15px 0 15px">
                            <h4>
                                Realisasi dan SPS Update Per Entitas
                            </h4>
                        </div>
                        <div class="panel-container show">
                            <div id="anggaran6">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6">
                    <div id="panel-6" class="panel">
                        <div class="panel" style="text-align: center; padding:15px 0 15px">
                            <h4>
                                Grafik Serapan Perkiraan Sendiri Tahun 2024
                            </h4>
                        </div>
                        <div class="panel-container show">
                            <div id="anggaran7">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div id="panel-6" class="panel">
                        <div class="panel" style="text-align: center; padding:15px 0 15px">
                            <h4>
                                Grafik Perbandingan Realisasi Tahun 2023-2024
                            </h4>
                        </div>
                        <div class="panel-container show">
                            <div id="anggaran8">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xl-12">
                    <div id="panel-1" class="panel">
                        <div class="panel-hdr">
                            <h2>
                                Tabel Indikator Kinerja Utama (IKU)
                            </h2>
                        </div>
                        <div class="panel-container show">

                            <div class="panel-content">
                                <div class="col-xl-3">
                                    <div id="js_default_list ">
                                        <div class="input-group mb-g">
                                            <input type="text" class="form-control form-control-lg shadow-inset-2"
                                                onkeyup="searchTable()" id="searchInput" placeholder="Filter list">
                                            <div class="input-group-append">
                                                <div class="input-group-text">
                                                    <i class="fal fa-search fs-xl"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                {{-- <input type="text" id="searchInput" onkeyup="searchTable()"
                                    placeholder="Cari berdasarkan Tujuan, Sasaran, atau Indikator Kinerja Utama..."> --}}
                                <!-- datatable start -->
                                <table id="ikuTable" class="table table-bordered table-hover table-striped w-100 ">
                                    <thead class="bg-highlight" style="item-ajustify-content: center; text-align:center">
                                        <tr>
                                            <th rowspan="2">No</th>
                                            <th rowspan="2">Kode Unit</th>
                                            <th rowspan="2">BIDANG/UNIT PELAKSANA/UNIT PENGELOLA </th>
                                            <th rowspan="2">DPA 2024 </th>
                                            <th rowspan="2">P DPA 2024 </th>
                                            <th colspan="2">SPD</th>
                                            <th colspan="2">Pelaksanaan</th>
                                            <th colspan="2">REALISASI UPDATE BULAN OKTOBER </th>
                                            <th colspan="2">TARGET SPS SAMPAI DENGAN </th>
                                            <th colspan="1">CAPAIAN</th>
                                            <th rowspan="2">Status</th>
                                        </tr>
                                        <tr>
                                            <td>Nilai</td>
                                            <td>%</td>
                                            <td>Nilai</td>
                                            <td>%</td>
                                            <td>Jumlah</td>
                                            <td>%</td>
                                            <td>Oktober</td>
                                            <td>%</td>
                                            <td>%</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>1</td>
                                            <td>20502000</td>
                                            <td>
                                                <p>DINAS LINGKUNGAN HIDUP</p>
                                                <p>BELANJA PEGAWAI</p>
                                                <p>BIDANG PENGURANGAN DAN PENANGANAN SAMPAH</p>
                                                <p>SEKRETARIAT</p>
                                                <p>BIDANG PENGELOLAAN SAMPAH DAN LIMBAH B3</p>
                                                <p>BIDANG TATA LINGKUNGAN</p>
                                                <p>BIDANG PENGENDALIAN PENCEMARAN DAN KERUSAKAN LINGKUNGAN</p>
                                                <p>BIDANG PERAN SERTA MASYARAKAT, DATA DAN INFORMASI</p>
                                                <p>BIDANG PENGAWASAN DAN PENATAAN HUKUM </p>
                                            </td>
                                            <td>
                                                <p>402,431,943,665</p>
                                                <p>223,170,462,000</p>
                                                <p>66,700,681,890</p>
                                                <p>46,786,418,151</p>
                                                <p>9,184,915,016</p>
                                                <p>8,122,391,671</p>
                                                <p>42,959,929,313</p>
                                                <p>5,125,785,196</p>
                                                <p>381,360,428</p>
                                            </td>
                                            <td>
                                                <p>628,291,666,978</p>
                                                <p>200,275,870,910</p>
                                                <p>279,976,777,900</p>
                                                <p>45,348,811,751 </p>
                                                <p>7,146,951,775 </p>
                                                <p>8,122,391,671 </p>
                                                <p>81,913,717,347 </p>
                                                <p>5,125,785,196</p>
                                                <p>381,360,428</p>
                                            </td>
                                            <td>
                                                <p>340,336,664,590</p>
                                                <p>219,357,829,000</p>
                                                <p>66,700,617,025</p>
                                                <p>30,082,648,031</p>
                                                <p>7,638,953,016</p>
                                                <p>2,476,110,565</p>
                                                <p>8,594,461,329</p>
                                                <p>5,125,785,196</p>
                                                <p>360,260,428</p>
                                            </td>
                                            <td>
                                                <p>54.17%</p>
                                                <p>109.53%</p>
                                                <p>23.82%</p>
                                                <p>66.34%</p>
                                                <p>106.88%</p>
                                                <p>30.48%</p>
                                                <p>10.49%</p>
                                                <p>100.00%</p>
                                                <p>94.47%</p>
                                            </td>
                                            <td>
                                                <p>294,037,356,411</p>
                                                <p>160,970,731,160</p>
                                                <p>55,766,609,806</p>
                                                <p>27,157,557,223</p>
                                                <p>3,521,269,279</p>
                                                <p>6,274,322,375</p>
                                                <p>35,737,193,175</p>
                                                <p>4,354,723,493</p>
                                                <p>254,949,900</p>
                                            </td>
                                            <td>
                                                <p>46.80%</p>
                                                <p>80.37%</p>
                                                <p>19.92%</p>
                                                <p>59.89%</p>
                                                <p>49.27%</p>
                                                <p>77.25%</p>
                                                <p>43.63%</p>
                                                <p>84.96%</p>
                                                <p>66.85%</p>
                                            </td>
                                            <td>
                                                <p>186,741,812,998</p>
                                                <p>161,216,981,160</p>
                                                <p>724,336,000</p>
                                                <p>14,422,029,115</p>
                                                <p>1,709,406,540</p>
                                                <p>429,803,500</p>
                                                <p>4,020,970,275</p>
                                                <p>4,106,063,808</p>
                                                <p>112,222,600</p>
                                            </td>
                                            <td>
                                                <p>29.72%</p>
                                                <p>80.50%</p>
                                                <p>0.26%</p>
                                                <p>31.80%</p>
                                                <p>23.92%</p>
                                                <p>5.29%</p>
                                                <p>4.91%</p>
                                                <p>80.11%</p>
                                                <p>29.43%</p>
                                            </td>
                                            <td>
                                                <p>120,457,251,307</p>
                                                <p>93,060,280,000</p>
                                                <p>713,218,542</p>
                                                <p>15,323,649,659</p>
                                                <p>112,448,507</p>
                                                <p>1,120,881,659</p>
                                                <p>6,176,373,794</p>
                                                <p>3,836,326,938</p>
                                                <p>114,072,208</p>
                                            </td>
                                            <td>
                                                <p>19.17%</p>
                                                <p>46.47%</p>
                                                <p>0.25%</p>
                                                <p>33.79%</p>
                                                <p>1.57%</p>
                                                <p>13.80%</p>
                                                <p>7.54%</p>
                                                <p>74.84%</p>
                                                <p>29.91%</p>
                                            </td>
                                            <td>
                                                <p>155.03%</p>
                                                <p>173.24%</p>
                                                <p>101.56%</p>
                                                <p>94.12%</p>
                                                <p>1520.17%</p>
                                                <p>38.35%</p>
                                                <p>65.10%</p>
                                                <p>107.03%</p>
                                                <p>98.38%</p>
                                            </td>
                                            <td>TPP DIBAYAR SESUAI PRESTASI </td>
                                        </tr>
                                        <tr>
                                            <td>2</td>
                                            <td>20502000</td>
                                            <td>
                                                <p>DINAS LINGKUNGAN HIDUP</p>
                                                <p>BELANJA PEGAWAI</p>
                                                <p>BIDANG PENGURANGAN DAN PENANGANAN SAMPAH</p>
                                                <p>SEKRETARIAT</p>
                                                <p>BIDANG PENGELOLAAN SAMPAH DAN LIMBAH B3</p>
                                                <p>BIDANG TATA LINGKUNGAN</p>
                                                <p>BIDANG PENGENDALIAN PENCEMARAN DAN KERUSAKAN LINGKUNGAN</p>
                                                <p>BIDANG PERAN SERTA MASYARAKAT, DATA DAN INFORMASI</p>
                                                <p>BIDANG PENGAWASAN DAN PENATAAN HUKUM </p>
                                            </td>
                                            <td>
                                                <p>402,431,943,665</p>
                                                <p>223,170,462,000</p>
                                                <p>66,700,681,890</p>
                                                <p>46,786,418,151</p>
                                                <p>9,184,915,016</p>
                                                <p>8,122,391,671</p>
                                                <p>42,959,929,313</p>
                                                <p>5,125,785,196</p>
                                                <p>381,360,428</p>
                                            </td>
                                            <td>
                                                <p>628,291,666,978</p>
                                                <p>200,275,870,910</p>
                                                <p>279,976,777,900</p>
                                                <p>45,348,811,751 </p>
                                                <p>7,146,951,775 </p>
                                                <p>8,122,391,671 </p>
                                                <p>81,913,717,347 </p>
                                                <p>5,125,785,196</p>
                                                <p>381,360,428</p>
                                            </td>
                                            <td>
                                                <p>340,336,664,590</p>
                                                <p>219,357,829,000</p>
                                                <p>66,700,617,025</p>
                                                <p>30,082,648,031</p>
                                                <p>7,638,953,016</p>
                                                <p>2,476,110,565</p>
                                                <p>8,594,461,329</p>
                                                <p>5,125,785,196</p>
                                                <p>360,260,428</p>
                                            </td>
                                            <td>
                                                <p>54.17%</p>
                                                <p>109.53%</p>
                                                <p>23.82%</p>
                                                <p>66.34%</p>
                                                <p>106.88%</p>
                                                <p>30.48%</p>
                                                <p>10.49%</p>
                                                <p>100.00%</p>
                                                <p>94.47%</p>
                                            </td>
                                            <td>
                                                <p>294,037,356,411</p>
                                                <p>160,970,731,160</p>
                                                <p>55,766,609,806</p>
                                                <p>27,157,557,223</p>
                                                <p>3,521,269,279</p>
                                                <p>6,274,322,375</p>
                                                <p>35,737,193,175</p>
                                                <p>4,354,723,493</p>
                                                <p>254,949,900</p>
                                            </td>
                                            <td>
                                                <p>46.80%</p>
                                                <p>80.37%</p>
                                                <p>19.92%</p>
                                                <p>59.89%</p>
                                                <p>49.27%</p>
                                                <p>77.25%</p>
                                                <p>43.63%</p>
                                                <p>84.96%</p>
                                                <p>66.85%</p>
                                            </td>
                                            <td>
                                                <p>186,741,812,998</p>
                                                <p>161,216,981,160</p>
                                                <p>724,336,000</p>
                                                <p>14,422,029,115</p>
                                                <p>1,709,406,540</p>
                                                <p>429,803,500</p>
                                                <p>4,020,970,275</p>
                                                <p>4,106,063,808</p>
                                                <p>112,222,600</p>
                                            </td>
                                            <td>
                                                <p>29.72%</p>
                                                <p>80.50%</p>
                                                <p>0.26%</p>
                                                <p>31.80%</p>
                                                <p>23.92%</p>
                                                <p>5.29%</p>
                                                <p>4.91%</p>
                                                <p>80.11%</p>
                                                <p>29.43%</p>
                                            </td>
                                            <td>
                                                <p>120,457,251,307</p>
                                                <p>93,060,280,000</p>
                                                <p>713,218,542</p>
                                                <p>15,323,649,659</p>
                                                <p>112,448,507</p>
                                                <p>1,120,881,659</p>
                                                <p>6,176,373,794</p>
                                                <p>3,836,326,938</p>
                                                <p>114,072,208</p>
                                            </td>
                                            <td>
                                                <p>19.17%</p>
                                                <p>46.47%</p>
                                                <p>0.25%</p>
                                                <p>33.79%</p>
                                                <p>1.57%</p>
                                                <p>13.80%</p>
                                                <p>7.54%</p>
                                                <p>74.84%</p>
                                                <p>29.91%</p>
                                            </td>
                                            <td>
                                                <p>155.03%</p>
                                                <p>173.24%</p>
                                                <p>101.56%</p>
                                                <p>94.12%</p>
                                                <p>1520.17%</p>
                                                <p>38.35%</p>
                                                <p>65.10%</p>
                                                <p>107.03%</p>
                                                <p>98.38%</p>
                                            </td>
                                            <td>TPP DIBAYAR SESUAI PRESTASI </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <!-- datatable end -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </main>

    @endsection

    @push('script')
        <script src="{{ asset('layout/dist/js/datagrid/datatables/datatables.bundle.js') }}"></script>
        {{-- <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script> --}}
        <script src="{{ asset('layout/dist/js/tabel.js') }}"></script>
        <script src="{{ asset('layout/dist/js/linechart.js') }}"></script>
        <script src="{{ asset('layout/dist/js/panggaran1.js') }}"></script>
        <script src="{{ asset('layout/dist/js/panggaran.js') }}"></script>
        <script src="{{ asset('layout/dist/js/panggaran2.js') }}"></script>
        <script>
            function searchTable() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("searchInput");
                filter = input.value.toLowerCase();
                table = document.getElementById("ikuTable");
                tr = table.getElementsByTagName("tr");

                for (i = 1; i < tr.length; i++) {
                    tr[i].style.display = "none"; // Hide all rows initially
                    td = tr[i].getElementsByTagName("td");

                    for (var j = 0; j < td.length; j++) {
                        if (td[j]) {
                            txtValue = td[j].textContent || td[j].innerText;
                            if (txtValue.toLowerCase().indexOf(filter) > -1) {
                                tr[i].style.display = ""; // Show row if match is found
                                break;
                            }
                        }
                    }
                }
            }
        </script>
    @endpush
