@extends('indexlayout')

@section('title', 'Tusar')
@push('style')
@endpush
@section('content')
    <div class="row">
        <main id="js-page-content" role="main" class="page-content">
            <ol class="breadcrumb page-breadcrumb">
                <li class="breadcrumb-item"><a href="javascript:void(0);">Realisasi Kinerja</a></li>
                <li class="breadcrumb-item active">2024</li>
                <li class="position-absolute pos-top pos-right d-none d-sm-block"><span class="js-get-date"></span></li>
            </ol>

            <div class="row">
                <div class="col-xl-12">
                    <div id="panel-1" class="panel">
                        <div class="panel-hdr">
                            <h2>
                                Tabel Perjanjian Kinerja
                            </h2>
                        </div>
                        <div class="panel-container show">

                            <div class="panel-content">
                                <div class="col-xl-3">
                                    <div id="js_default_list ">
                                        <div class="input-group mb-g">
                                            <input type="text" class="form-control form-control-lg shadow-inset-2"
                                                onkeyup="searchTable()" id="searchInput" placeholder="Filter list">
                                            <div class="input-group-append">
                                                <div class="input-group-text">
                                                    <i class="fal fa-search fs-xl"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                {{-- <input type="text" id="searchInput" onkeyup="searchTable()"
                                    placeholder="Cari berdasarkan Tujuan, Sasaran, atau Indikator Kinerja Utama..."> --}}
                                <!-- datatable start -->
                                <table id="ikuTable" class="table table-bordered table-hover table-striped w-100 ">
                                    <thead class="bg-highlight" style="text-align:center">
                                        <tr>
                                            <th rowspan="2">No</th>
                                            <th rowspan="2">Sasaran</th>
                                            <th rowspan="2">INDIKATOR KINERJA UTAMA (IKU)</th>
                                            <th rowspan="2">Sumber Data</th>
                                            <th rowspan="2">Pengukuran Kinerja</th>
                                            <th rowspan="2" style="text-align: center">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td rowspan="6">1</td>
                                            <td rowspan="6" class="left-align">Pengelolaan Sampah Kota yang Kolaboratif
                                                dan Berkelanjutan</td>
                                            <td rowspan="6" class="left-align">Persentase Pengelolaan Sampah</td>
                                            <td rowspan="6" class="left-align">e-SAKIP</td>
                                            <td class="left-align">DASAR HUKUM:
                                            </td>
                                            <td rowspan="6" class="left-align"><a
                                                    href="{{ route('sadmin.tusar.detail') }}"><button
                                                        type="button"class="btn btn-primary">Detail</button></a></td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">1. Permen LHK No. 6 tahun 2022 tentang Sistem Informasi
                                                Pengelolaan Sampah Nasional (SIPSN)</td>

                                        </tr>
                                        <tr>
                                            <td class="left-align">2. Peraturan Gubernur DKI Jakarta No. 108 Tahun 2019
                                                tentang Kebijakan dan Strategi Daerah Provinsi Daerah Khusus Ibukota Jakarta
                                                Dalam Pengelolaan Sampah Rumah Tangga dan Sampah Sejenis Sampah Rumah Tangga
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">DEFINISI: Pengelolaan Sampah adalah kegiatan yang
                                                sistematis, menyeluruh dan berkesinambungan yang meliputi pengurangan dan
                                                penanganan sampah
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">METODE PENGUKURAN: Penjumlahan persentase penanganan
                                                sampah dan pengurangan sampah
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">SUMBER DATA: Perhitungan mandiri Dinas Lingkungan Hidup
                                            </td>
                                        </tr>
                                        <tr>
                                            <td rowspan="6">2</td>
                                            <td rowspan="6" class="left-align">Optimalisasi Pengurangan dan Penanganan
                                                Sampah yang Kolaboratif serta Berwawasan Lingkungan</td>
                                            <td rowspan="6" class="left-align">Persentase pengurangan sampah</td>
                                            <td rowspan="6" class="left-align">e-SAKIP</td>
                                            <td class="left-align">DASAR HUKUM:</td>
                                            <td rowspan="6" class="left-align"><a
                                                    href="{{ route('sadmin.tusar.detail') }}"><button
                                                        type="button"class="btn btn-primary">Detail</button></a></td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">1. Permen LHK No. 6 tahun 2022 tentang Sistem Informasi
                                                Pengelolaan Sampah Nasional (SIPSN)</td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">2. Peraturan Gubernur DKI Jakarta No. 108 Tahun 2019
                                                tentang Kebijakan dan Strategi Daerah Provinsi Daerah Khusus Ibukota Jakarta
                                                Dalam Pengelolaan Sampah Rumah Tangga dan Sampah Sejenis Sampah Rumah Tangga
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">DEFINISI: Total pengurangan sampah dibagi total timbulan
                                                sampah dikali 100%
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">METODE PENGUKURAN: Pengurangan sampah adalah kegiatan
                                                pembatasan timbulan sampah, pendauran ulang sampah dan/atau pemanfaatan
                                                kembali sampah
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="left-align">SUMBER DATA: Perhitungan mandiri Dinas Lingkungan Hidup
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <!-- datatable end -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </main>

    @endsection

    @push('script')
        <script src="{{ asset('layout/dist/js/datagrid/datatables/datatables.bundle.js') }}"></script>
        {{-- <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script> --}}
        <script src="{{ asset('layout/dist/js/tabel.js') }}"></script>
        <script src="{{ asset('layout/dist/js/linechart.js') }}"></script>
        <script src="{{ asset('layout/dist/js/iku.js') }}"></script>
        <script>
            function searchTable() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("searchInput");
                filter = input.value.toLowerCase();
                table = document.getElementById("ikuTable");
                tr = table.getElementsByTagName("tr");

                for (i = 1; i < tr.length; i++) {
                    tr[i].style.display = "none"; // Hide all rows initially
                    td = tr[i].getElementsByTagName("td");

                    for (var j = 0; j < td.length; j++) {
                        if (td[j]) {
                            txtValue = td[j].textContent || td[j].innerText;
                            if (txtValue.toLowerCase().indexOf(filter) > -1) {
                                tr[i].style.display = ""; // Show row if match is found
                                break;
                            }
                        }
                    }
                }
            }
        </script>
    @endpush
